#ifndef DEQUE_HPP_INCLUDED
#define DEQUE_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include "Node.hpp"

namespace Internal
{
    class Deque : public Object
    {
        public:
            Deque();
            Deque(const void* Obj);
            Deque(const Deque& D);
            static Class GetClass();

            Node GetHead() const;
            Node GetTail() const;

    };
}

#endif // DEQUE_HPP_INCLUDED
